//Nastroje > Nastavenie prekladaca > Pridat tieto prikazy na prikazovy riadok linkera:
//-lmingw32 -lwinmm -lcomctl32 -lOpenGL32 -lGLu32 -lGLaux -lSetupAPI -lWinusb -lhid
//#include <limits.h>
//#include <Commctrl.h>
//#include <stdlib.h>
#include <windows.h>
#include <tchar.h>
#include <stdio.h>
#include <SetupAPI.h>
#include <Hidsdi.h>
#include <math.h>

#define _PI 3.14159265358979
#define _Rychlost_svetla_vo_vzduchu  299714532
#define _Rychlost_svetla_vo_vakuu  299792458

//doplnok pre funkcnost INITCOMMONCONTROLSEX icc;
#if defined __MINGW_H
#define _WIN32_IE 0X0400
#endif
#include <commctrl.h>

// Uzivatelsky definovana sprava
#define WM_RXUSB	(WM_USER+1)
#define WM_DISCONNECT	(WM_USER+2)

//Kluc registra - cesta
#define REGISTRY_KEY_NAME "Software\\USB_SABLONA"

//Tien okna. Pouzitie v style triedy
#define CS_DROPSHADOW 0x00020000 

#define _Casovac1		1
#define _CasTimer1		10	//ms

#define _Casovac2		2
#define _CasTimer2		50	//ms

#define _SirkaHlOkna	260
#define _VyskaHlOkna	300//600//350//420//335//305//270
#define _VyskaOkna2		330

#define	PocetByteUsbOut	64
#define	PocetByteUsbIn	64

#define VendorId		0x04D8 
#define ProductId		0x01A5
#define _VersionNumber	0x01

#define Data_Z_RFM75			0x17
#define ZmenaFrekvencieRFM75	0xBB
#define	DataDoRFM75				0xAA
#define	Init_RFM75				0x11
#define	NastavenieAdresyRFM75	0xAD

#define Frekvencia_RFM75		77		//2400+X MHz
#define Adresa_P0				"ab3"
#define Adresa_P1				"c6x"

HIDD_ATTRIBUTES		deviceAttributes;

TCHAR	vendorName[] = "0",//"Moje zariadenie", 
		productName[] = "0",//"PIC16F1454 Generic HID",
		NazovSuboru[] = "SETUP pakety.txt",
		g_novyRiadok[5] = {0x0D, 0x0A, 0},	// kod pre odriadkovanie;
		TextEditTx[2000],
		iManufactured[200],
		iProduct[200],
		TextTMP[10],
		TextAdresy[10],
		CopyChar[100];
		
		
		
OVERLAPPED	osRead, 
			osWrite;
	
HINSTANCE	g_hInstance;

HWND	g_hwndDlg,
		g_hwndDlg2,
		g_hwndDlg3,
		g_hwndDlg4;
		
HDC		g_hdcMemWindow = NULL;
	
HANDLE	ghThread, 
		USBhandle, 
		ev,
		hFile; ;
		
HBRUSH	g_pozadie,
		g_pozadieDlg;
	   
HBITMAP	g_bmp_z,
		g_bmp_v;
		
HFONT 	hfEdit;

LOGFONT	logFont,
	    logFont2;
	     
RECT	rect_okna,
		rect_hl;

BOOL	StavPripojeniaUSB;

BYTE	TXbufer[1000], 
		RXbufer[1000],
		Cislo[1000],
		PocetBytePaketu,
		bmRequestType,
		bRequest,
		wValue0,
		wValue1,
		wLength_LSB,
		SmerTransferu,
		TypTransferu,
		PrijemcaTransferu;
		
DWORD	g_dwWindowPos, 
		g_dwWindowSize,
		g_dwWindowShow,
		bytesRead;
	  	  
int		g_nCmdShow,
		Adresa,
		PocetZnakovAdresy,
		DlzkaSpravyRx,
		FrekvenciaTX,
		FrekvenciaRX,
		PocetRxTxOkien = 1,
		PocitadloTransferov = 0;
		
		
